Mailing List Archive

[openssh] 05/09: upstream: prepare for stricter sshd_config parsing that will refuse
This is an automated email from the git hooks/post-receive script.

djm pushed a commit to branch master
in repository openssh.

commit 9018bd821fca17e26e92f7a7e51d9b24cd62f2db
Author: djm@openbsd.org <djm@openbsd.org>
Date: Mon Jun 7 00:00:50 2021 +0000

upstream: prepare for stricter sshd_config parsing that will refuse

a config that has {Allow,Deny}{Users,Groups} on a line with no subsequent
arguments. Such lines are permitted but are nonsensical noops ATM

OpenBSD-Regress-ID: ef65463fcbc0bd044e27f3fe400ea56eb4b8f650
---
regress/allow-deny-users.sh | 8 +++-----
1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/regress/allow-deny-users.sh b/regress/allow-deny-users.sh
index 5c389512..6c053eef 100644
--- a/regress/allow-deny-users.sh
+++ b/regress/allow-deny-users.sh
@@ -1,6 +1,6 @@
# Public Domain
# Zev Weiss, 2016
-# $OpenBSD: allow-deny-users.sh,v 1.5 2018/07/13 02:13:50 djm Exp $
+# $OpenBSD: allow-deny-users.sh,v 1.6 2021/06/07 00:00:50 djm Exp $

tid="AllowUsers/DenyUsers"

@@ -20,10 +20,8 @@ test_auth()
failmsg="$4"

cp $OBJ/sshd_proxy.orig $OBJ/sshd_proxy
- echo DenyUsers="$deny" >> $OBJ/sshd_proxy
- echo AllowUsers="$allow" >> $OBJ/sshd_proxy
-
- start_sshd -oDenyUsers="$deny" -oAllowUsers="$allow"
+ test -z "$deny" || echo DenyUsers="$deny" >> $OBJ/sshd_proxy
+ test -z "$allow" || echo AllowUsers="$allow" >> $OBJ/sshd_proxy

${SSH} -F $OBJ/ssh_proxy "$me@somehost" true
status=$?

--
To stop receiving notification emails like this one, please contact
djm@mindrot.org.
_______________________________________________
openssh-commits mailing list
openssh-commits@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-commits